<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="System.Configuration.IgnoreSectionHandler"/>
  </configSections>
  <startup>
    
  <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.5.2"/></startup>
  <appSettings>
    <!--选中的读写器类型-->
    <add key="AdapterType" value="Mesnac.DeviceAdapter.Fuchs"/>
    <!--<add key="AdapterType" value="Mesnac.DeviceAdapter.HWKC_81600"/>-->
    <!--选中的读写器的类名称-->
    <add key="AdapterClassName" value="FuchsAdapter"/>
    <!--<add key="AdapterClassName" value="HWKC_81600Adapter"/>-->
    <!--选中的读写器的型号-->
    <!--add key="DeviceType" value="2"/-->
    <add key="DeviceType" value="104"/><!--<倍加福读写器>-->
    <!--设备IP-->
    <add key="DeviceIp" value="169.254.10.12"/>
    <!--设备端口-->
    <add key="DevicePort" value="10000"/>
    <!--适配软件编码-->
    <add key="SoftCode" value="1001"/>
    <!--读功率-->
    <add key="ReadDbm" value="15"/>
    <!--写功率-->
    <add key="WriteDbm" value="15"/>
    <!--失败重读次数-->
    <add key="ReadCounts" value="1"/>
    <!--失败重读时间间隔默认1s-->
    <add key="ReadTimeout" value="1000"/>
    <!--IO自动上报时间间隔默认1s-->
    <add key="IOReportTimeout" value="2000"/>
    <!--过滤数据-->
    <add key="FilterData" value=""/>
    <!--过滤偏移-->
    <add key="FilterOffset" value="0"/>
    <!--读取偏移-->
    <add key="ReadOffset" value="0"/>
    <!--读取长度-->
    <add key="ReadLength" value="9"/>
    <!--是否自动重启-->
    <add key="isReload" value="0"/>
    <!--系统皮肤-->
    <add key="ConfigSkinName" value="Default" />
    
    <add key="ClientSettingsProvider.ServiceUri" value=""/>
  </appSettings>
  
  <log4net>
    <appender name="ColoredConsoleAppender" type="log4net.Appender.ColoredConsoleAppender">
      <mapping>
        <level value="FATAL"/>
        <foreColor value="Red, HighIntensity"/>
      </mapping>
      <mapping>
        <level value="ERROR"/>
        <foreColor value="Red"/>
      </mapping>
      <mapping>
        <level value="WARN"/>
        <foreColor value="Yellow"/>
      </mapping>
      <mapping>
        <level value="INFO"/>
        <foreColor value="White"/>
      </mapping>
      <mapping>
        <level value="DEBUG"/>
        <foreColor value="Green"/>
      </mapping>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level- %message%newline"/>
      </layout>
    </appender>
    <appender name="FileAppender" type="log4net.Appender.RollingFileAppender">
      <file value="Log\"/>
      <appendToFile value="true"/>
      <rollingStyle value="Date"/>
      <datePattern value="yyyyMMdd&quot;.txt&quot;"/>
      <StaticLogFileName value="false"/>
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level- %message%newline"/>
      </layout>
      <!--多线程写入支持-->
      <lockingModel type="log4net.Appender.FileAppender+MinimalLock"/>
    </appender>
    <root>
      <level value="DEBUG"/>
      <appender-ref ref="ColoredConsoleAppender"/>
      <appender-ref ref="FileAppender"/>
    </root>
  </log4net>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri=""/>
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400"/>
      </providers>
    </roleManager>
  </system.web>
</configuration>
